controllers/CiclistaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Ciclista;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * CiclistaController implements the CRUD actions for Ciclista model.
 */
class CiclistaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }
    
    
    /**
     * Lista todos los ciclistas
     * utilizando ActiveRecord
     * @return type view
     */
    public function actionConsulta(){
        //select * from ciclista
        $consulta=Ciclista::find();  
        
        $dataProvider = new ActiveDataProvider([
            'query' =>$consulta,
        ]);

        return $this->render('index_1', [
            'datos' => $dataProvider,
        ]);
    }
    
    /**
     * Consulta1 - Consultas de selección 1
     * Lista las edades de los ciclistas (sin repetidos)
     * @return type view
     */
    
    /*
     * Método Consulta1: SELECT EDAD FROM CICLISTA
     */
    public function actionConsulta1(){
        $consulta=Ciclista::find()->select("edad")->distinct(); 
        
        /*

         * activeRecord - Ciclista
         * ActiveQueryInterface - Ciclista::find() que hereda de ActiveQuery
         */
        
        $dataProvider = new ActiveDataProvider([
            'query' =>$consulta,
        ]);

        return $this->render('index_2', [
            'datos' => $dataProvider,
        ]);
    }
    
    public function actionConsulta2(){
        $consulta=Ciclista::find()
                ->select("edad")
                ->distinct()
                ->where(["nomequipo"=>'Artiach']); 
             
        $dataProvider = new ActiveDataProvider([
            'query' =>$consulta,
        ]);

        return $this->render('index_3', [
            'datos' => $dataProvider,
        ]);
    }
    
    public function actionConsulta3(){
        $consulta=Ciclista::find()->
                select("edad")->
                distinct()->
                where("nomequipo='Artiach' or nomequipo='Amore Vita'"); 
             
        $dataProvider = new ActiveDataProvider([
            'query' =>$consulta,
        ]);

        return $this->render('index_4', [
            'datos' => $dataProvider,
        ]);
    }
    
    public function actionConsulta4(){
        $consulta=Ciclista::find()->
                select("edad")->
                distinct()->
                where("edad<24 or edad>30"); 
      
             
        $dataProvider = new ActiveDataProvider([
            'query' =>$consulta,
        ]);

        return $this->render('index_5', [
            'datos' => $dataProvider,
        ]);
    }
    
    
    
    
    /**
     * Lists all Ciclista models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Ciclista model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Ciclista model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Ciclista();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dorsal]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Ciclista model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dorsal]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Ciclista model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Ciclista model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Ciclista the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Ciclista::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */

$this->title = 'Consultas de Selección 1';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Consultas de Selección 1</h1>
        <p class="lead">Hoja de ejercicios de MySql</p>
    </div>

    <div class="body-content">

        <div class="row">
            <!-- En bootstrap se organizan por filas y columnas
            en total hay 12 columas
            col es para que empiece la columna
            lg es para pantallas grandes
            4 es para que ocupa 4 de las 12 columnas totales
            -->
            <div class="col-lg-4">
                <h2>Consulta 0</h2>
                <?= Html::a('Ejecutar Consulta', ['ciclista/consulta'], ['class' => 'btn btn-info btn-large']) ?>

            </div>
            <div class="col-lg-4">
                <h2>Consulta 1</h2>
                <?= Html::a('Ejecutar Consulta', ['ciclista/consulta1'], ['class' => 'btn btn-info btn-large']) ?>

            </div>
            <div class="col-lg-4">
                <h2>Consulta 2</h2>
                <?= Html::a('Ejecutar Consulta', ['ciclista/consulta2'], ['class' => 'btn btn-info btn-large']) ?>

            </div>
        </div>
        <div class="row">
              <div class="col-lg-4">
                <h2>Consulta 3</h2>
                <?= Html::a('Ejecutar Consulta', ['ciclista/consulta3'], ['class' => 'btn btn-info btn-large']) ?>

            </div>
            
            
            
              <div class="col-lg-4">
                <h2>Consulta 4</h2>
                <?= Html::a('Ejecutar Consulta', ['ciclista/consulta4'], ['class' => 'btn btn-info btn-large']) ?>

            </div>

        </div>
    </div>

</div>
</div>